id: 34225
name: OpnForm
ignore:
  - storage/clockwork
  - storage/logs
  - client
environments:
  api-production:
    warm: 5
    memory: 2048
    cli-memory: 2048
    cli-timeout: 900
    queue-memory: 2048
    queue-timeout: 900
    runtime: 'php-8.2:al2-arm'
    storage: opnforms-prod
    database: OpnForm
    domain: api.opnform.com
    build:
      - 'COMPOSER_MIRROR_PATH_REPOS=1 composer install --no-dev'
      - 'php artisan event:cache'
      - 'php artisan disposable:update'
    deploy:
      - 'php artisan migrate --force'
    firewall:
      rate-limit: 1000
    timeout: 60
  api-staging:
    memory: 1024
    cli-memory: 512
    cli-timeout: 900
    runtime: 'php-8.2:al2-arm'
    storage: opnforms-staging
    database: OpnForm
    domain: api.stg.opnform.com
    build:
      - 'COMPOSER_MIRROR_PATH_REPOS=1 composer install --no-dev'
      - 'php artisan event:cache'
      - 'php artisan disposable:update'
    deploy:
      - 'php artisan migrate --force'
    firewall:
      rate-limit: 1000
    timeout: 60
